package
{
	import flash.ui.Mouse;
	import flash.ui.MouseCursor;
	
	import org.flixel.*;
	
	public class GameState extends FlxState
	{
		[Embed(source = "data/background.png")] public static var ImgBg:Class;
		[Embed(source = "data/wall.png")] public static var ImgWall:Class;
		[Embed(source = "data/solidwall.png")] public static var ImgWallSolid:Class;
		[Embed(source = "data/dog.png")] public static var ImgCat:Class;
		[Embed(source = "data/crosshair.png")] public static var ImgSelector:Class;
		[Embed(source = "data/customers.png")] public static var ImgCustomers:Class;
		[Embed(source = "data/secondarycrosshair.png")] public static var ImgSelector2:Class;
		[Embed(source = "data/titlebg.png")] public static var ImgTitleBg:Class;
		
		[Embed(source = "data/click.mp3")] public static var SndClick:Class;
		[Embed(source = "data/pick.mp3")] public static var SndPick:Class;
		[Embed(source = "data/put.mp3")] public static var SndPut:Class;
		[Embed(source = "data/newlevel.mp3")] public static var SndNewLevel:Class;
		[Embed(source = "data/sadmusic.mp3")] public static var SndSadMusic:Class;

		public var game:Game;
		public var sprbg:FlxSprite;
		
		override public function create():void
		{
			super.create();
			FlxG.flash(0xff000000);
			sprbg = new FlxSprite(0,0,ImgBg);
			add(sprbg);

			game = new Game(this);
		}
		
		override public function update():void
		{
			super.update();
			game.update();
		}
	}
}