package
{
	import com.google.analytics.debug._Style;
	import com.greensock.TweenLite;
	import com.greensock.TweenMax;
	import com.greensock.plugins.HexColorsPlugin;
	import com.greensock.plugins.TweenPlugin;
	
	import org.flixel.*;
	import org.flixel.system.*;
	
	public class IntroState extends FlxState
	{
		private var _title:FlxText;
		private var _newgame:FlxButton;
		private var _continue:FlxButton;
		
		public static var save:FlxSave;
		private var fading:Boolean=false;
		override public function create():void
		{							
			var bg:FlxSprite = new FlxSprite(0,0,GameState.ImgTitleBg);
			add(bg);
			
			
			_title = new FlxText(6,15,FlxG.width,"" +
				"It's so great to have you with us at the animal shelter.  We have to make sure our dogs are kept trained so that people will adopt them.\n\nPeople go nuts for well-behaved dogs; it's such satisfying work!");			
			_title.color=0xffffff;
			add(_title);			
			
			
			_newgame = new FlxButton(31,122,"Let's start!",newgameclick);
			add(_newgame);
			
		}
		
		
		private function newgameclick():void
		{
			if (fading)
				return;
			
			FlxG.play(GameState.SndClick);
			fading=true;
			FlxG.fade(0xff000000,1,function():void{FlxG.switchState(new InterludeState());});
		}
		
	}
}