package
{
	import com.google.analytics.debug._Style;
	import com.greensock.TweenLite;
	import com.greensock.TweenMax;
	import com.greensock.plugins.HexColorsPlugin;
	import com.greensock.plugins.TweenPlugin;
	
	import org.flixel.*;
	import org.flixel.system.*;

	public class TitleState extends FlxState
	{
		private var _title:FlxText;
		private var _newgame:FlxButton;
		private var _continue:FlxButton;
			
		public static var save:FlxSave;
		private var fading:Boolean=false;
		override public function create():void
		{							
			if (FlxG.music!=null)
			{
				FlxG.music.stop();
			}
			var bg:FlxSprite = new FlxSprite(0,0,GameState.ImgTitleBg);
			add(bg);
			
			_title = new FlxText(0,30,FlxG.width,"Puppy");			
			_title.size=16;
			_title.alignment="center";
			_title.color=0xffffff;
			add(_title);			
			
			
			_title = new FlxText(0,30+17,FlxG.width,"Shelter");			
			_title.size=16;
			_title.alignment="center";
			_title.color=0xffffff;
			add(_title);			
			
			_newgame = new FlxButton(31,80,"New Game",newgameclick);
			add(_newgame);
			
			FlxG.level=0;
			var save:FlxSave = new FlxSave();	
			trace("blip");		
			if (save.bind("puppyshelter"))
			{
				FlxG.level =  save.data.level;
				trace("save found " + FlxG.level);				
			}
			
			if (FlxG.level>0)
			{
				_continue = new FlxButton(31,110,"Continue",continueclick);
				add(_continue);
			}

		}
		
		private function newgameclick():void
		{
			if (fading)
				return;
			FlxG.play(GameState.SndClick);
			trace("new game");
			FlxG.level=0;
			var save:FlxSave = new FlxSave();			
			if (save.bind("puppyshelter"))
			{
				trace("saving level "+FlxG.level);
				save.data.level=FlxG.level;
			}
			
			fading=true;
			FlxG.fade(0xff000000,1,function():void{FlxG.switchState(new IntroState());});			
		}
		
		private function continueclick():void
		{
			if (fading)
				return;
			FlxG.play(GameState.SndClick);
			fading=true;
			FlxG.fade(0xff000000,1,function():void{FlxG.switchState(new InterludeState());});			
		}
		
		override public function update():void
		{
			super.update();
			if (fading)
				return;			
		}		
	}
}